Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleAnimationCurve Class Reference

参照方法が複数ある柔軟なAnimationCurve型を扱うクラス。 More...

Inheritance diagram for FlexibleAnimationCurve:

## Public Member Functions
| FlexibleAnimationCurve (AnimationCurve value)
| FlexibleAnimationCurveコンストラクタ More...
| FlexibleAnimationCurve (AnyParameterReference parameter)
| FlexibleAnimationCurveコンストラクタ More...
| FlexibleAnimationCurve (InputSlotAny slot)
| FlexibleAnimationCurveコンストラクタ More...
Public Member Functions inherited from FlexibleField< AnimationCurve >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator AnimationCurve (FlexibleAnimationCurve flexible)
| FlexibleAnimationCurveをAnimationCurveにキャスト。 More...
static | operator FlexibleAnimationCurve (AnimationCurve value)
| AnimationCurveをFlexibleAnimationCurveにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< AnimationCurve >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Properties inherited from FlexibleField< AnimationCurve >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なAnimationCurve型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleAnimationCurve | ( | AnimationCurve | value | ) |

FlexibleAnimationCurveコンストラクタ

Parameters

  value | 値

FlexibleAnimationCurve | ( | AnyParameterReference | parameter | ) |

FlexibleAnimationCurveコンストラクタ

Parameters

  parameter | パラメータ

FlexibleAnimationCurve | ( | InputSlotAny | slot | ) |

FlexibleAnimationCurveコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator AnimationCurve | ( | FlexibleAnimationCurve | flexible | ) |
| explicit static

FlexibleAnimationCurveをAnimationCurveにキャスト。

Parameters

  flexible | FlexibleAnimationCurve

static operator FlexibleAnimationCurve | ( | AnimationCurve | value | ) |
| explicit static

AnimationCurveをFlexibleAnimationCurveにキャスト。

Parameters

  value | AnimationCurve